POST api/witnessapi/add?siteId={siteId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
None. |
Body Parameters
WitnessViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| active | boolean |
Required |
|
| code | integer |
Required |
|
| id | globally unique identifier |
None. |
|
| date_hu | date |
None. |
|
| local_update | date |
None. |
|
| site_id | globally unique identifier |
Required |
|
| status | integer |
None. |
|
| wash_count | integer |
None. |
Request Formats
application/json, text/json
Sample:
{
"active": true,
"code": 2,
"id": "df6345b6-0fec-4cd9-b3a5-b6d96d77bdd5",
"date_hu": "2026-06-09T05:33:58.2043497+00:00",
"local_update": "2026-06-09T05:33:58.2043497+00:00",
"site_id": "ea20e568-4a3f-4c8a-8b23-38038e17b8e0",
"status": 1,
"wash_count": 1
}
application/xml, text/xml
Sample:
<witness xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <active>true</active> <code>2</code> <date_hu>2026-06-09T05:33:58.2043497+00:00</date_hu> <id>df6345b6-0fec-4cd9-b3a5-b6d96d77bdd5</id> <local_update>2026-06-09T05:33:58.2043497+00:00</local_update> <site_id>ea20e568-4a3f-4c8a-8b23-38038e17b8e0</site_id> <status>1</status> <wash_count>1</wash_count> </witness>
application/x-www-form-urlencoded
Sample:
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"05722c53-8730-4147-b088-d75525a7b79a"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">05722c53-8730-4147-b088-d75525a7b79a</guid>